Go to the latest version of this document.

# ``twisted`.`application`.`_client_service`.`_DisconnectFactory``

class documentation

`class _DisconnectFactory: (source)`

Constructor: `_DisconnectFactory(protocolFactory, protocolDisconnected)`

Implements interfaces: `twisted.internet.interfaces.IProtocolFactory`

View In Hierarchy

A `_DisconnectFactory` is a proxy for `IProtocolFactory` that catches `connectionLost` notifications and relays them.

Method | `__getattr__` | Undocumented
Method | `__init__` | Undocumented
Method | `__repr__` | Undocumented
Method | `buildProtocol` | Create a `_ReconnectingProtocolProxy` with the disconnect-notification callback we were called with.
Instance Variable | `_protocolDisconnected` | Undocumented
Instance Variable | `_protocolFactory` | Undocumented

def __getattr__(self, item: `str`) -> `object`: (source)

Undocumented

def __init__(self, protocolFactory: `IProtocolFactory`, protocolDisconnected: `Callable[[Failure], None]`): (source)

Undocumented

def __repr__(self) -> `str`: (source)

Undocumented

def buildProtocol(self, addr: `IAddress`) -> `IProtocol | None`: (source)
from `twisted.internet.interfaces.IProtocolFactory`

Create a `_ReconnectingProtocolProxy` with the disconnect-notification callback we were called with.

Parameters
addr:`IAddress` | The address the connection is coming from.

Returns
`IProtocol | None` | a `_ReconnectingProtocolProxy` for a protocol produced by `self._protocolFactory`

_protocolDisconnected = (source)

Undocumented

_protocolFactory = (source)

Undocumented